{% load staticfiles %}
<!DOCTYPE html>
<html>
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
		<meta http-equiv="X-UA-Compatible" content="IE=edge">
		<title>Taxsutra</title>
		<meta name="description" content="Taxsutra Summary API Demo">
		<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, minimal-ui">
		<meta property="og:description" content="Taxsutra Summary API Demo" >
		<link rel="shortcut icon" href="{% static 'assets/images/favicon_v2.ico' %}">
		<link rel="stylesheet" href="{% static 'assets/css/demo_main.css' %}"/>
	</head>
	<body class="test_mode no_user landing_feature  desktop_os chrome_mode" data-gr-c-s-loaded="true">
		<div class="preloader">
			<div class="preloader-loader">
			<img src = "{% static 'assets/images/taxsutra_loading.gif' %}" />
			<font size = 2> <b>Summarizing...</b></font>
			</div>
		</div>
		<div class="landing_constrained hero">
			<div class="hero_tagline">Summary Demo</div>
			<div class="test_drive">
				<form action="/taxsutra/" enctype="multipart/form-data" method="POST">
					<div class="form_line_input_submit">
				        <input type="file" class="upload-button" multiple="true" value="Browse" name="docfiles" accept=".docx, .zip" />
				        <button type="submit" class="hero-button">Upload</button>
					</div>
				</form>
			</div>
			{% if judgements %}
			<div class="section">
				<input class="download-button" type="button" onClick="fnExcelReport();" value="download" />
				<a href="#" id="testAnchor"></a>
				<table class="hidden_test_drive_results">
					<tbody>
						<tr>
							<td><code>File name</code></td>
							<td><code>Courtname</code></td>
							<td><code>Judges</code></td>
							<td><code>Civil No</code></td>
							<td><code>Appellant</code></td>
							<td><code>Respondant</code></td>
							<td><code>Appellant By</code></td>
							<td><code>Respondant By</code></td>
							<td><code>Assessment Year</code></td>
							<td><code>Section Referred</code></td>
							<td><code>Assessee By</code></td>
							<td><code>Revenue By</code></td>
							<td><code>Sections Index</code></td>
							<td><code>Date</code></td>
							<td><code>Pronounced Date</code></td>
							<td><code>Hearing Date</code></td>
							<td><code>Keywords</code></td>
							<td><code>Facts</code></td>
							<td><code>Issues</code></td>
							<td><code>Decisions</code></td>
							<td><code>Litigation History</code></td>
							<td><code>Arguments Revenue</code></td>
							<td><code>Arguments Assessee</code></td>
						</tr>
					{% for judgement in judgements %}
						<tr>
							<td>{{judgement.header_data.filename}}</td>
							<td>{{judgement.header_data.courtname}}</td>
							<td>{{judgement.header_data.judges}}</td>
							<td>{{judgement.header_data.civil_no}}</td>
							<td>{{judgement.header_data.appellant}}</td>
							<td>{{judgement.header_data.respondant}}</td>
							<td>{{judgement.header_data.appellant_by}}</td>
							<td>{{judgement.header_data.respondent_by}}</td>
							<td>{{judgement.header_data.assessment_year}}</td>
							<td>{{judgement.header_data.section_referred}}</td>
							<td>{{judgement.header_data.assessee_by}}</td>
							<td>{{judgement.header_data.revenue_by}}</td>
							<td>{{judgement.header_data.sections_index}}</td>
							<td>{{judgement.header_data.date_of_judgement}}</td>
							<td>{{judgement.header_data.date_of_pronouncement}}</td>
							<td>{{judgement.header_data.date_of_hearing}}</td>
							<td>{{judgement.header_data.keyword}}</td>
							<td>{{judgement.data.facts | linebreaksbr}}</td>
							<td>{{judgement.data.issues | linebreaksbr}}</td>
							<td>{{judgement.data.decisions | linebreaksbr}}</td>
							<td>{{judgement.data.litigation_history | linebreaksbr}}</td>
							<td>{{judgement.data.arguments_revenue | linebreaksbr}}</td>
							<td>{{judgement.data.arguments_assessee | linebreaksbr}}</td>
						</tr>
					{% endfor %}
					</tbody>
				</table>

				{% for judgement in judgements %}
				<table class="test_drive_results">
					<tbody>
						<tr>
							<td><code>File name</code></td>
							<td>{{judgement.header_data.filename}}</td>
						</tr>
						<tr>
							<td><code>Courtname</code></td>
							<td>{{judgement.header_data.courtname}}</td>
						</tr>
						<tr>
							<td><code>Judges</code></td>
							<td>{{judgement.header_data.judges}}</td>
						</tr>
						<tr>
							<td><code>Civil No</code></td>
							<td>{{judgement.header_data.civil_no}}</td>
						</tr>
						<tr>
							<td><code>Appellant</code></td>
							<td>{{judgement.header_data.appellant}}</td>
						</tr>							
						<tr>
							<td><code>Respondant</code></td>
							<td>{{judgement.header_data.respondant}}</td>
						</tr>
						<tr>
							<td><code>Appellant By</code></td>
							<td>{{judgement.header_data.appellant_by}}</td>
						</tr>
						<tr>
							<td><code>Respondant By</code></td>
							<td>{{judgement.header_data.respondent_by}}</td>
						</tr>
						<tr>
							<td><code>Assessment Year</code></td>
							<td>{{judgement.header_data.assessment_year}}</td>
						</tr>
						<tr>
							<td><code>Section Referred</code></td>
							<td>{{judgement.header_data.section_referred}}</td>
						</tr>
						<tr>
							<td><code>Assessee By</code></td>
							<td>{{judgement.header_data.assessee_by}}</td>
						</tr>
						<tr>
							<td><code>Revenue By</code></td>
							<td>{{judgement.header_data.revenue_by}}</td>
						</tr>
						<tr>
							<td><code>Sections Index</code></td>
							<td>{{judgement.header_data.sections_index}}</td>
						</tr>
						<tr>
							<td><code>Date</code></td>
							<td>{{judgement.header_data.date_of_judgement}}</td>
						</tr>
						<tr>
							<td><code>Pronounced Date</code></td>
							<td>{{judgement.header_data.date_of_pronouncement}}</td>
						</tr>
						<tr>
							<td><code>Hearing Date</code></td>
							<td>{{judgement.header_data.date_of_hearing}}</td>
						</tr>							
						<tr>
							<td><code>Keywords</code></td>
							<td>{{judgement.header_data.keyword}}</td>
						</tr>							
						<tr>
							<td><code>Facts</code></td>
							<td>{{judgement.data.facts | linebreaksbr}}</td>
						</tr>
						<tr>
							<td><code>Issues</code></td>
							<td>{{judgement.data.issues | linebreaksbr}}</td>
						</tr>
						<tr>
							<td><code>Decisions</code></td>
							<td>{{judgement.data.decisions | linebreaksbr}}</td>
						</tr>
						<tr>
							<td><code>Litigation History</code></td>
							<td>{{judgement.data.litigation_history | linebreaksbr}}</td>
						</tr>
						<tr>
							<td><code>Arguments Revenue</code></td>
							<td>{{judgement.data.arguments_revenue | linebreaksbr}}</td>
						</tr>
						<tr>
							<td><code>Arguments Assessee</code></td>
							<td>{{judgement.data.arguments_assessee | linebreaksbr}}</td>
						</tr>
					</tbody>
				</table>
				{% endfor %}
			</div>
			{% endif %}
		</div>
		<script src="{% static 'assets/js/jquery.min.js' %}"></script>
		<script type="text/javascript">
			$(":submit").closest("form").submit(function() {
				$(':submit').attr('disabled', 'disabled');
				$('.preloader').show();
			});

			var tab_text;

			function fnExcelReport() {
				tab_text = '<html xmlns:x="urn:schemas-microsoft-com:office:excel">';
				tab_text = tab_text + '<head><xml><x:ExcelWorkbook><x:ExcelWorksheets><x:ExcelWorksheet>';

				tab_text = tab_text + '<x:Name>Judgements Summary</x:Name>';

				tab_text = tab_text + '<x:WorksheetOptions><x:Panes></x:Panes></x:WorksheetOptions></x:ExcelWorksheet>';
				tab_text = tab_text + '</x:ExcelWorksheets></x:ExcelWorkbook></xml></head><body>';

				tab_text = tab_text + "<table border='1px'><tbody>";

				$(".hidden_test_drive_results tbody").each(function() {
					console.log($(this).html())
					tab_text = tab_text + $(this).html();
				});

				tab_text = tab_text + '</tbody></table></body></html>';
				tab_text = tab_text.replace(/<br\s*\/?>/gi,'<br style="mso-data-placement:same-cell;" />')

				var ua = window.navigator.userAgent;
				var msie = ua.indexOf("MSIE ");

				if (msie > 0 || !!navigator.userAgent.match(/Trident.*rv\:11\./)) {
					if (window.navigator.msSaveBlob) {
						var blob = new Blob([tab_text], {
							type: "application/vnd.ms-excel;"
						});
						navigator.msSaveBlob(blob, '{{sheetname}}');
					}
				} else {
					$('#testAnchor')[0].click()
				}
			}

			$($("#testAnchor")[0]).click(function() {
				$('#testAnchor').attr('href', 'data:application/vnd.ms-excel' + ', ' + encodeURIComponent(tab_text));
				$('#testAnchor').attr('download', '{{sheetname}}');
			});
		</script>
	</body>
</html>